## org.apache.solr.common.cloud
Class DefaultConnectionStrategy

    java.lang.Object
      org.apache.solr.common.cloud.ZkClientConnectionStrategy
          org.apache.solr.common.cloud.DefaultConnectionStrategy

    public class DefaultConnectionStrategy

extends ZkClientConnectionStrategy

TODO: improve backoff retry impl

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.common.cloud.ZkClientConnectionStrategy
`ZkClientConnectionStrategy.ConnectedListener, ZkClientConnectionStrategy.DisconnectedListener, ZkClientConnectionStrategy.ZkUpdate`

Constructor Summary
`DefaultConnectionStrategy()`

Method Summary
`void` `connect(String serverAddress, int timeout, org.apache.zookeeper.Watcher watcher, ZkClientConnectionStrategy.ZkUpdate updater)`
`void` `reconnect(String serverAddress, int zkClientTimeout, org.apache.zookeeper.Watcher watcher, ZkClientConnectionStrategy.ZkUpdate updater)`

Methods inherited from class org.apache.solr.common.cloud.ZkClientConnectionStrategy
`addConnectedListener, addDisconnectedListener, connected, disconnected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConnectionStrategy

    public DefaultConnectionStrategy()

Method Detail

### connect

    public void connect(String serverAddress,
                        int timeout,
                        org.apache.zookeeper.Watcher watcher,
                        ZkClientConnectionStrategy.ZkUpdate updater)
                 throws IOException,
                        InterruptedException,
                        TimeoutException

  Specified by:
    `connect` in class `ZkClientConnectionStrategy`
  Throws:
    `IOException`
    `InterruptedException`
    `TimeoutException`

### reconnect

    public void reconnect(String serverAddress,
                          int zkClientTimeout,
                          org.apache.zookeeper.Watcher watcher,
                          ZkClientConnectionStrategy.ZkUpdate updater)
                   throws IOException

  Specified by:
    `reconnect` in class `ZkClientConnectionStrategy`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.